Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.runtime
Class KodoPersistenceManagerFactory

    java.lang.Object
      kodo.runtime.KodoPersistenceManagerFactory

All Implemented Interfaces:
  Serializable, PersistenceManagerFactory

Direct Known Subclasses:
  JDBCPersistenceManagerFactory

Deprecated.

    public class KodoPersistenceManagerFactory

extends Object
implements PersistenceManagerFactory

A Kodo 3.x backwards-compatible interface to persistence manager factories.

See Also:
  Serialized Form

Constructor Summary
`KodoPersistenceManagerFactory(PersistenceManagerFactoryImpl pmf)` Deprecated.

Method Summary
`void` | `addInstanceLifecycleListener(InstanceLifecycleListener listener, Class[] classes)` Deprecated.
`void` | `addTransferListener(RemoteTransferListener listener)` Deprecated.
`void` | `close()` Deprecated.
`boolean` | `equals(Object other)` Deprecated.
`org.apache.openjpa.conf.OpenJPAConfiguration` | `getConfiguration()` Deprecated.
`String` | `getConnectionDriverName()` Deprecated.
`Object` | `getConnectionFactory()` Deprecated.
`Object` | `getConnectionFactory2()` Deprecated.
`String` | `getConnectionFactory2Name()` Deprecated.
`String` | `getConnectionFactoryName()` Deprecated.
`String` | `getConnectionPassword()` Deprecated.
`String` | `getConnectionURL()` Deprecated.
`String` | `getConnectionUserName()` Deprecated.
`DataStoreCache` | `getDataStoreCache()` Deprecated.
`KodoDataStoreCache` | `getDataStoreCache(String cacheName)` Deprecated.
`PersistenceManagerFactoryImpl` | `getDelegate()` Deprecated.
`boolean` | `getDetachAllOnCommit()` Deprecated.
`boolean` | `getIgnoreCache()` Deprecated.
`String` | `getMapping()` Deprecated.
`boolean` | `getMultithreaded()` Deprecated.
`boolean` | `getNontransactionalRead()` Deprecated.
`boolean` | `getNontransactionalWrite()` Deprecated.
`boolean` | `getOptimistic()` Deprecated.
`PersistenceManager` | `getPersistenceManager()` Deprecated.
`KodoPersistenceManager` | `getPersistenceManager(boolean managed, int connRetainMode)` Deprecated.
`PersistenceManager` | `getPersistenceManager(String user, String pass)` Deprecated.
`KodoPersistenceManager` | `getPersistenceManager(String user, String pass, boolean managed, int connRetainMode)` Deprecated.
`static PersistenceManagerFactory` | `getPersistenceManagerFactory(Map map)` Deprecated.
`Properties` | `getProperties()` Deprecated.
`QueryResultCache` | `getQueryResultCache()` Deprecated.
`boolean` | `getRestoreValues()` Deprecated.
`boolean` | `getRetainValues()` Deprecated.
`Object` | `getUserObject(Object key)` Deprecated.
`int` | `hashCode()` Deprecated.
`boolean` | `isClosed()` Deprecated.
`boolean` | `isPersistenceManagerServerRunning()` Deprecated.
`boolean` | `isPersistenceServerRunning()` Deprecated.
`boolean` | `joinPersistenceManagerServer()` Deprecated.
`boolean` | `joinPersistenceServer()` Deprecated.
`FetchConfiguration` | `newFetchConfiguration(KodoPersistenceManager pm, org.apache.openjpa.kernel.FetchConfiguration fetch)` Deprecated.
`Object` | `putUserObject(Object key, Object val)` Deprecated.
`void` | `removeInstanceLifecycleListener(InstanceLifecycleListener listener)` Deprecated.
`void` | `removeTransferListener(RemoteTransferListener listener)` Deprecated.
`void` | `setConnectionDriverName(String val)` Deprecated.
`void` | `setConnectionFactory(Object val)` Deprecated.
`void` | `setConnectionFactory2(Object val)` Deprecated.
`void` | `setConnectionFactory2Name(String val)` Deprecated.
`void` | `setConnectionFactoryName(String val)` Deprecated.
`void` | `setConnectionPassword(String val)` Deprecated.
`void` | `setConnectionURL(String val)` Deprecated.
`void` | `setConnectionUserName(String val)` Deprecated.
`void` | `setDetachAllOnCommit(boolean val)` Deprecated.
`void` | `setIgnoreCache(boolean val)` Deprecated.
`void` | `setMapping(String val)` Deprecated.
`void` | `setMultithreaded(boolean val)` Deprecated.
`void` | `setNontransactionalRead(boolean val)` Deprecated.
`void` | `setNontransactionalWrite(boolean val)` Deprecated.
`void` | `setOptimistic(boolean val)` Deprecated.
`void` | `setRestoreValues(boolean val)` Deprecated.
`void` | `setRetainValues(boolean val)` Deprecated.
`boolean` | `startPersistenceManagerServer()` Deprecated.
`boolean` | `startPersistenceServer()` Deprecated.
`boolean` | `stopPersistenceManagerServer()` Deprecated.
`boolean` | `stopPersistenceServer()` Deprecated.
`Collection` | `supportedOptions()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KodoPersistenceManagerFactory

    public KodoPersistenceManagerFactory(PersistenceManagerFactoryImpl pmf)

  Deprecated.

Method Detail

### getPersistenceManagerFactory

    public static PersistenceManagerFactory getPersistenceManagerFactory(Map map)

  Deprecated.

### getDelegate

    public PersistenceManagerFactoryImpl getDelegate()

  Deprecated.

### startPersistenceManagerServer

    public boolean startPersistenceManagerServer()

  Deprecated.

### joinPersistenceManagerServer

    public boolean joinPersistenceManagerServer()

  Deprecated.

### stopPersistenceManagerServer

    public boolean stopPersistenceManagerServer()

  Deprecated.

### isPersistenceManagerServerRunning

    public boolean isPersistenceManagerServerRunning()

  Deprecated.

### getConfiguration

    public org.apache.openjpa.conf.OpenJPAConfiguration getConfiguration()

  Deprecated.

### getProperties

    public Properties getProperties()

  Deprecated.
  Specified by:
    `getProperties` in interface `PersistenceManagerFactory`

### putUserObject

    public Object putUserObject(Object key,
                                Object val)

  Deprecated.

### getUserObject

    public Object getUserObject(Object key)

  Deprecated.

### getDataStoreCache

    public DataStoreCache getDataStoreCache()

  Deprecated.
  Specified by:
    `getDataStoreCache` in interface `PersistenceManagerFactory`

### getDataStoreCache

    public KodoDataStoreCache getDataStoreCache(String cacheName)

  Deprecated.

### getQueryResultCache

    public QueryResultCache getQueryResultCache()

  Deprecated.

### getPersistenceManager

    public PersistenceManager getPersistenceManager()

  Deprecated.
  Specified by:
    `getPersistenceManager` in interface `PersistenceManagerFactory`

### getPersistenceManager

    public PersistenceManager getPersistenceManager(String user,
                                                    String pass)

  Deprecated.
  Specified by:
    `getPersistenceManager` in interface `PersistenceManagerFactory`

### getPersistenceManager

    public KodoPersistenceManager getPersistenceManager(boolean managed,
                                                        int connRetainMode)

  Deprecated.

### getPersistenceManager

    public KodoPersistenceManager getPersistenceManager(String user,
                                                        String pass,
                                                        boolean managed,
                                                        int connRetainMode)

  Deprecated.

### startPersistenceServer

    public boolean startPersistenceServer()

  Deprecated.

### joinPersistenceServer

    public boolean joinPersistenceServer()

  Deprecated.

### stopPersistenceServer

    public boolean stopPersistenceServer()

  Deprecated.

### isPersistenceServerRunning

    public boolean isPersistenceServerRunning()

  Deprecated.

### addInstanceLifecycleListener

    public void addInstanceLifecycleListener(InstanceLifecycleListener listener,
                                             Class[] classes)

  Deprecated.
  Specified by:
    `addInstanceLifecycleListener` in interface `PersistenceManagerFactory`

### removeInstanceLifecycleListener

    public void removeInstanceLifecycleListener(InstanceLifecycleListener listener)

  Deprecated.
  Specified by:
    `removeInstanceLifecycleListener` in interface `PersistenceManagerFactory`

### addTransferListener

    public void addTransferListener(RemoteTransferListener listener)

  Deprecated.

### removeTransferListener

    public void removeTransferListener(RemoteTransferListener listener)

  Deprecated.

### close

    public void close()

  Deprecated.
  Specified by:
    `close` in interface `PersistenceManagerFactory`

### isClosed

    public boolean isClosed()

  Deprecated.
  Specified by:
    `isClosed` in interface `PersistenceManagerFactory`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### supportedOptions

    public Collection supportedOptions()

  Deprecated.
  Specified by:
    `supportedOptions` in interface `PersistenceManagerFactory`

### getConnectionUserName

    public String getConnectionUserName()

  Deprecated.
  Specified by:
    `getConnectionUserName` in interface `PersistenceManagerFactory`

### setConnectionUserName

    public void setConnectionUserName(String val)

  Deprecated.
  Specified by:
    `setConnectionUserName` in interface `PersistenceManagerFactory`

### getConnectionPassword

    public String getConnectionPassword()

  Deprecated.

### setConnectionPassword

    public void setConnectionPassword(String val)

  Deprecated.
  Specified by:
    `setConnectionPassword` in interface `PersistenceManagerFactory`

### getConnectionURL

    public String getConnectionURL()

  Deprecated.
  Specified by:
    `getConnectionURL` in interface `PersistenceManagerFactory`

### setConnectionURL

    public void setConnectionURL(String val)

  Deprecated.
  Specified by:
    `setConnectionURL` in interface `PersistenceManagerFactory`

### getConnectionDriverName

    public String getConnectionDriverName()

  Deprecated.
  Specified by:
    `getConnectionDriverName` in interface `PersistenceManagerFactory`

### setConnectionDriverName

    public void setConnectionDriverName(String val)

  Deprecated.
  Specified by:
    `setConnectionDriverName` in interface `PersistenceManagerFactory`

### getConnectionFactoryName

    public String getConnectionFactoryName()

  Deprecated.
  Specified by:
    `getConnectionFactoryName` in interface `PersistenceManagerFactory`

### setConnectionFactoryName

    public void setConnectionFactoryName(String val)

  Deprecated.
  Specified by:
    `setConnectionFactoryName` in interface `PersistenceManagerFactory`

### getConnectionFactory

    public Object getConnectionFactory()

  Deprecated.
  Specified by:
    `getConnectionFactory` in interface `PersistenceManagerFactory`

### setConnectionFactory

    public void setConnectionFactory(Object val)

  Deprecated.
  Specified by:
    `setConnectionFactory` in interface `PersistenceManagerFactory`

### getConnectionFactory2Name

    public String getConnectionFactory2Name()

  Deprecated.
  Specified by:
    `getConnectionFactory2Name` in interface `PersistenceManagerFactory`

### setConnectionFactory2Name

    public void setConnectionFactory2Name(String val)

  Deprecated.
  Specified by:
    `setConnectionFactory2Name` in interface `PersistenceManagerFactory`

### getConnectionFactory2

    public Object getConnectionFactory2()

  Deprecated.
  Specified by:
    `getConnectionFactory2` in interface `PersistenceManagerFactory`

### setConnectionFactory2

    public void setConnectionFactory2(Object val)

  Deprecated.
  Specified by:
    `setConnectionFactory2` in interface `PersistenceManagerFactory`

### getOptimistic

    public boolean getOptimistic()

  Deprecated.
  Specified by:
    `getOptimistic` in interface `PersistenceManagerFactory`

### setOptimistic

    public void setOptimistic(boolean val)

  Deprecated.
  Specified by:
    `setOptimistic` in interface `PersistenceManagerFactory`

### getRetainValues

    public boolean getRetainValues()

  Deprecated.
  Specified by:
    `getRetainValues` in interface `PersistenceManagerFactory`

### setRetainValues

    public void setRetainValues(boolean val)

  Deprecated.
  Specified by:
    `setRetainValues` in interface `PersistenceManagerFactory`

### getRestoreValues

    public boolean getRestoreValues()

  Deprecated.
  Specified by:
    `getRestoreValues` in interface `PersistenceManagerFactory`

### setRestoreValues

    public void setRestoreValues(boolean val)

  Deprecated.
  Specified by:
    `setRestoreValues` in interface `PersistenceManagerFactory`

### getNontransactionalRead

    public boolean getNontransactionalRead()

  Deprecated.
  Specified by:
    `getNontransactionalRead` in interface `PersistenceManagerFactory`

### setNontransactionalRead

    public void setNontransactionalRead(boolean val)

  Deprecated.
  Specified by:
    `setNontransactionalRead` in interface `PersistenceManagerFactory`

### getNontransactionalWrite

    public boolean getNontransactionalWrite()

  Deprecated.
  Specified by:
    `getNontransactionalWrite` in interface `PersistenceManagerFactory`

### setNontransactionalWrite

    public void setNontransactionalWrite(boolean val)

  Deprecated.
  Specified by:
    `setNontransactionalWrite` in interface `PersistenceManagerFactory`

### getIgnoreCache

    public boolean getIgnoreCache()

  Deprecated.
  Specified by:
    `getIgnoreCache` in interface `PersistenceManagerFactory`

### setIgnoreCache

    public void setIgnoreCache(boolean val)

  Deprecated.
  Specified by:
    `setIgnoreCache` in interface `PersistenceManagerFactory`

### getMultithreaded

    public boolean getMultithreaded()

  Deprecated.
  Specified by:
    `getMultithreaded` in interface `PersistenceManagerFactory`

### setMultithreaded

    public void setMultithreaded(boolean val)

  Deprecated.
  Specified by:
    `setMultithreaded` in interface `PersistenceManagerFactory`

### getMapping

    public String getMapping()

  Deprecated.
  Specified by:
    `getMapping` in interface `PersistenceManagerFactory`

### setMapping

    public void setMapping(String val)

  Deprecated.
  Specified by:
    `setMapping` in interface `PersistenceManagerFactory`

### getDetachAllOnCommit

    public boolean getDetachAllOnCommit()

  Deprecated.
  Specified by:
    `getDetachAllOnCommit` in interface `PersistenceManagerFactory`

### setDetachAllOnCommit

    public void setDetachAllOnCommit(boolean val)

  Deprecated.
  Specified by:
    `setDetachAllOnCommit` in interface `PersistenceManagerFactory`

### newFetchConfiguration

    public FetchConfiguration newFetchConfiguration(KodoPersistenceManager pm,
                                                    org.apache.openjpa.kernel.FetchConfiguration fetch)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.